Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  vlax-put-property

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   vlax-put-property (590 mal gelesen)
thoumsen
Mitglied
Konstrukteur Metallbau, Betriebsinformatiker, usw usw..


Sehen Sie sich das Profil von thoumsen an!   Senden Sie eine Private Message an thoumsen  Schreiben Sie einen Gästebucheintrag für thoumsen

Beiträge: 100
Registriert: 25.11.2003

Mir gehts prächtig Kate, die Sonne scheint mir aus dem Arsch!
( George Clooney im Film "From Dusk till Dawn" )

erstellt am: 09. Nov. 2010 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

nach langem Suchen gebe ich auf..
Wie kann ich über die Funktion vlax-put-property für einen Layer einstellen, daß er nicht geplottet werden soll?
Also neuen Layer mit entsprechender Farbe erstellen erstellen geht. Aber das mit dem Nicht-Plottten... Ich kriegs nicht hin 

Für nen Vorschlag wär ich echt Dankbar.

------------------
gruss aus frangn
.: thoumsen :.

>> fanatismus ist der tod jeder guten idee  <<

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 09. Nov. 2010 11:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für thoumsen 10 Unities + Antwort hilfreich

hi
(setq layer (vla-add (vla-get-layers doc) Name)) ;das solltest du haben

(vla-put-Plottable layer :vlax-false) ; ...

ungetestet...


------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

[Diese Nachricht wurde von Dorfy am 09. Nov. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

thoumsen
Mitglied
Konstrukteur Metallbau, Betriebsinformatiker, usw usw..


Sehen Sie sich das Profil von thoumsen an!   Senden Sie eine Private Message an thoumsen  Schreiben Sie einen Gästebucheintrag für thoumsen

Beiträge: 100
Registriert: 25.11.2003

Mir gehts prächtig Kate, die Sonne scheint mir aus dem Arsch!
( George Clooney im Film "From Dusk till Dawn" )

erstellt am: 09. Nov. 2010 12:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Heiko,

1000 Dank. So einfach kanns also gehen!
Mir hat im Endeffekt das "PLOTTABLE" gefehlt.
Gibt es hierzu irgendwo eine genauere Liste?
Ein paar habe ich mir nun mal so zusammengetragen:
vla-put-
-PLOTTABLE, -LOCK, -LINEWEIGHT, -LAYERON, -FREEZE, -PLOTSTYLENAME

------------------
gruss aus frangn
.: thoumsen :.

>> fanatismus ist der tod jeder guten idee  <<

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 09. Nov. 2010 12:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für thoumsen 10 Unities + Antwort hilfreich

naja
lay --> dein Layer hast du ja
(vlax-dump-object lay T )
ergibt ne Liste

old school

die Hilfe in der vlide gibt auch genügend Treffer - mit den richtigen Suchbegriffen 

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz